%define tarball_version 6.04-pre1

Summary:	A bootloader for linux using floppies, CD
Name:		syslinux
Version:	6.04
Release:	0.2.pre1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://syslinux.zytor.com/wiki/index.php/The_Syslinux_Project
Source0:	http://www.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{tarball_version}.tar.xz
Source1:	%{name}.rpmlintrc
Patch1:		0001-Add-install-all-target-to-top-side-of-HAVE_FIRMWARE.patch

BuildRequires:	nasm
BuildRequires:	netpbm
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	perl

Requires:	syslinux-nonlinux = %{version}-%{release}
Provides:	isolinux = %{version}

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%files
%doc COPYING
%doc NEWS README*
%doc doc/* 
%doc sample
%{_mandir}/man1/gethostip*
%{_mandir}/man1/syslinux*
%{_mandir}/man1/extlinux*
%{_mandir}/man1/isohybrid*
%{_mandir}/man1/memdiskfind*
%{_bindir}/gethostip
%{_bindir}/isohybrid
%{_bindir}/memdiskfind
%{_bindir}/syslinux
%dir %{_datadir}/syslinux
%dir %{_datadir}/syslinux/dosutil
%{_datadir}/syslinux/dosutil/*
%dir %{_datadir}/syslinux/diag
%{_datadir}/syslinux/diag/*
############################################################################

%package perl
Summary:	Syslinux tools written in perl
Group:		System/Kernel and hardware

%description perl
Syslinux tools written in perl

%files perl
%doc COPYING
%{_mandir}/man1/lss16toppm*
%{_mandir}/man1/ppmtolss16*
%{_bindir}/keytab-lilo
%{_bindir}/lss16toppm
%{_bindir}/md5pass
%{_bindir}/mkdiskimage
%{_bindir}/ppmtolss16
%{_bindir}/pxelinux-options
%{_bindir}/sha1pass
%{_bindir}/syslinux2ansi
%{_bindir}/isohybrid.pl
############################################################################

%package devel
Summary:	Headers and libraries for syslinux development
Group:		Development/C

%description devel
Headers and libraries for syslinux development.

%files devel
%doc COPYING
%dir %{_datadir}/syslinux/com32
%{_datadir}/syslinux/com32/*
############################################################################

%package extlinux
Summary:	The EXTLINUX bootloader, for booting the local system
Group:		System/Kernel and hardware
Requires:	syslinux = %{EVRD}
Requires:	syslinux-extlinux-nonlinux = %{EVRD}

%description extlinux
The EXTLINUX bootloader, for booting the local system, as well as all
the SYSLINUX/PXELINUX modules in /boot.

%files extlinux
%{_sbindir}/extlinux
%config /etc/extlinux.conf
############################################################################

%package tftpboot
Summary:	SYSLINUX modules in /tftpboot, available for network booting
Group:		System/Kernel and hardware
Requires:	syslinux = %{EVRD}

%description tftpboot
All the SYSLINUX/PXELINUX modules directly available for network
booting in the /tftpboot directory.

%files tftpboot
/tftpboot
############################################################################

%package extlinux-nonlinux
Summary:	The parts of the EXTLINUX bootloader which aren't run from linux
Group:		System/Kernel and hardware
Requires:	syslinux = %{EVRD}

%description extlinux-nonlinux
All the EXTLINUX binaries that run from the firmware rather than
from a linux host.

%files extlinux-nonlinux
/boot/extlinux
############################################################################

%package nonlinux
Summary:	SYSLINUX modules which aren't run from linux
Group:		System/Kernel and hardware
Requires:	syslinux = %{EVRD}

%description nonlinux
All the SYSLINUX binaries that run from the firmware rather than from a
linux host. It also includes a tool, MEMDISK, which loads legacy operating
systems from media.

%files nonlinux
%{_datadir}/syslinux/*.com
%{_datadir}/syslinux/*.c32
%{_datadir}/syslinux/*.bin
%{_datadir}/syslinux/*.0
%{_datadir}/syslinux/memdisk
############################################################################

%ifarch x86_64
%package efi64
Summary:	SYSLINUX binaries and modules for 64-bit UEFI systems
Group:		System/Kernel and hardware

%description efi64
SYSLINUX binaries and modules for 64-bit UEFI systems

%files efi64
%doc COPYING
%dir %{_datadir}/syslinux/efi64
%{_datadir}/syslinux/efi64/*
%endif
############################################################################

%prep
%setup -q -n %{name}-%{tarball_version}
%apply_patches

%build
make bios clean all
%ifarch x86_64
make efi64 clean all
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_prefix}/lib/syslinux
mkdir -p %{buildroot}%{_includedir}
make bios install-all \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
	LIBDIR=%{_prefix}/lib DATADIR=%{_datadir} \
	MANDIR=%{_mandir} INCDIR=%{_includedir} \
	TFTPBOOT=/tftpboot EXTLINUXDIR=/boot/extlinux \
	LDLINUX=ldlinux.c32
%ifarch x86_64
make efi64 install netinstall \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
	LIBDIR=%{_prefix}/lib DATADIR=%{_datadir} \
	MANDIR=%{_mandir} INCDIR=%{_includedir} \
	TFTPBOOT=/tftpboot EXTLINUXDIR=/boot/extlinux \
	LDLINUX=ldlinux.c32
%endif

mkdir -p %{buildroot}/%{_docdir}/%{name}/sample
install -m 644 sample/sample.* %{buildroot}/%{_docdir}/%{name}/sample/
mkdir -p %{buildroot}/etc
( cd %{buildroot}/etc && ln -s ../boot/extlinux/extlinux.conf . )

# don't ship libsyslinux, at least, not for now
rm -f %{buildroot}%{_prefix}/lib/libsyslinux*
rm -f %{buildroot}%{_includedir}/syslinux.h

%changelog

* Sat Feb 11 2017 spectre <eugene.shatokhin@rosalab.ru> 6.04-0.2.pre1
- (652a64e) Merge pull request #2 from spectre/syslinux:master
- (652a64e) Updated to version 6.04-pre


